Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#23743 closed update (wontfix)

kde/kdepim4 upgrade to 4.4.0, provide nepomuk-kde dependency

Reported by: rmsfisher@… Owned by: nerdling (Jeremy L)
Priority: Normal Milestone:
Component: ports Version: 1.8.2
Keywords: Cc: sharky@…, dsdale24@…, aurimas.mikalauskas@…, mac.ports.fishspit@…
Port: kdepim4

Description

Livecheck reported that kdepim4 version 4.4.0 has been released.
This version requires two additional dependencies - shared-desktop-ontologies and nepomuk-kde.
Portfiles exists to satisfy the shared-desktop-ontologies dependency (see #23741).
I have had no luck finding the nepomuk-kde releases and would appreciate some help in that end; even a link would be a leap in the right direction.
Please find attached a diff of my current kdepim4 Portfile and the svn trunk which contains most of the changes necessary to upgrade kdepim4 to 4.4.0.

Attachments (1)

kdepim4-Portfile.diff (1.5 KB) - added by rmsfisher@… 9 years ago.

Download all attachments as: .zip

Change History (9)

Changed 9 years ago by rmsfisher@…

Attachment: kdepim4-Portfile.diff added

comment:1 in reply to:  description Changed 9 years ago by nerdling (Jeremy L)

Cc: sharky@… added
Resolution: wontfix
Status: newclosed

Replying to rmsfisher@…:

I have had no luck finding the nepomuk-kde releases and would appreciate some help in that end; even a link would be a leap in the right direction.

We've not been able to find it either, and it fails to build without it. Until the dependency exists, I will not upgrade the package as I believe it will result in guaranteed failed builds.

If you find the URL for nepomuk please let us know.

comment:2 Changed 9 years ago by mf2k (Frank Schima)

Type: requestupdate

How about this. http://nepomuk.kde.org/

comment:3 Changed 9 years ago by dsdale24@…

Cc: dsdale24@… added

Cc Me!

comment:4 Changed 9 years ago by dsdale24@…

http://nepomuk.kde.org/ states: "The core elements of Nepomuk have already been integrated into the kdelibs and kdebase." I checked the gentoo ebuild for kde-base/nepomuk-4.4.1 (see http://gentoo-portage.com/kde-base/nepomuk), it appears to be a virtual package that depends on:

  • >=strigi-0.6.3 with support for dbus and qt4
  • >=soprano-2.3.70 with support for dbus, raptor,redland,virtuoso
  • kdelibs with support for semantic-desktop

The gentoo ebuild doesn't appear to install anything, it just ensures that kdelibs/kdebase were configured to provide the required features. I've been using the kde pim suite, versions 4.4.0 and 4.4.1, on gentoo since they were released, so clearly the dependencies are available. I hope that is adequate justification for reopening the bug, I don't have permission to do so.

comment:5 Changed 9 years ago by aurimas.mikalauskas@…

Cc: aurimas.mikalauskas@… added

Cc Me!

comment:6 Changed 9 years ago by mac.ports.fishspit@…

Cc: mac.ports.fishspit@… added

Cc Me!

comment:7 Changed 9 years ago by nerdling (Jeremy L)

Nepomuk is available when the right combination of dependencies are used.

For example, you'll want to compile kdelibs4 (4.4.2) with +shared_desktop_ontologies. It is available as a variant because it is defined as optional by KDE. If you feel we should default any of these variants in MacPorts, please open a ticket for them.

comment:8 Changed 9 years ago by dsdale24@…

I was replying to your above suggestion that the nepomuk sources could not be found. I see the kdepim4 port has now been bumped to 4.4.2. Thanks.

Note: See TracTickets for help on using tickets.